from .views import *
from django.urls import path
urlpatterns=[
    path('all-contents/',content_api),
    path('all-feedbacks/',all_feedback_api),
    path('add-content/<id>/',add_content_file_api),
    path('add-feedback/',add_feedback_api),
    path('login/',login_request_api),
    path('register/murid/',register_murid_api),
    path('register/guru/',register_guru_api),
    path('all-courses/', all_courses_api, name='all_courses'),
    path('participants/murid/', participants_murid_json_api),
    path('participants/murid-user/<id>', participants_murid_user_api),
    path('participants/guru/', participants_pengajar_json_api),
    path('participants/guru-user/<id>', participants_pengajar_user_api),
    path('participants/', participants_json_api),
    path('course/contents/<id>/', contents_json_api),
    path('course/summary/<id>/', summary_json_api),
    path('course/sections/<id>/', sections_api),
    path('course/sections/add/<id>/', add_section_api),
    path('section/<id>/add/<sectionid>/', add_section_post_api),
    path('section/<id>/', sections_posts_api),
    path('user/<id>/', view_json_api),
    path('update_user/<id>/', update_user_api),
    path('forum/main/<id>/', forum_post_api),
    path('forum/createpost/<courseid>/<usrid>', create_post_api),
    path('forum/createreply/<id>/<usrid>', reply_api),
    path('forum/<id>/', reply_api),
]
